public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3-exe/
Date: Fri, 13 Nov 2020 09:02:21 +0000 (UTC)	[thread overview]
Message-ID: <1605258133.8e6f24c1b68b5c649a1895c966b29f154d6f5c13.mgorny@gentoo> (raw)

commit:     8e6f24c1b68b5c649a1895c966b29f154d6f5c13
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 12 22:19:57 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 13 09:02:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e6f24c1

dev-python/pypy3-exe: Bump to 7.3.3rc1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy3-exe/Manifest                   |   1 +
 dev-python/pypy3-exe/pypy3-exe-7.3.3_rc1.ebuild | 156 ++++++++++++++++++++++++
 2 files changed, 157 insertions(+)

diff --git a/dev-python/pypy3-exe/Manifest b/dev-python/pypy3-exe/Manifest
index 18cd2160f09..51f8c3e0b00 100644
--- a/dev-python/pypy3-exe/Manifest
+++ b/dev-python/pypy3-exe/Manifest
@@ -1,3 +1,4 @@
 DIST pypy3.6-v7.3.1-src.tar.bz2 22712809 BLAKE2B 4250b3fe98c611b9635319c106b80e88ab469eab5f883babb738e175e7b7adc22c85f8ef3fdce1cdc127b521beef8d6c7862e188d8c8889c39f90136d6bbe374 SHA512 f8e32aae7f01225e0e4d6763eaac40fc02dffc3d0b6a30f22d422147f9be4f3290ea78160a912ffae311dea3d503eb31a7a4f3999d3b541fbccd93d1cef4ca56
 DIST pypy3.6-v7.3.2-src.tar.bz2 22736022 BLAKE2B e2338ac3f7af06b987c43e93eab9ff14d46262143472b0393b30b011fff67d33add45d8198cee7109354e09c52a2540938abeef364b0cf12f2891ca9c7aac2a4 SHA512 ed861a57d6edf1548c061d10295313a05d0ac54fe68a8755211ff76fa2dc78d7b1479c6152dc5d0d1cdce4e247c240c1a2edf59ec8a53d0004ec7713514c9c35
+DIST pypy3.6-v7.3.3rc1-src.tar.bz2 22401663 BLAKE2B 278b71a3b608999ee20b6558598eda453f3a87645965b8b705a11d05784722106c04b405375f62bd8e7ce2968df311314ee1672a2ddecb0f6afc49a3cbe8e670 SHA512 d865125925603e74412be7e750ab403670f05e76f2dfe6280c8b0ef123ed3e2f463d9457b65aa4f84c47a3529b2d3bca84b84307623bf995f60b549c85dcce2d
 DIST pypy3.7-v7.3.2-src.tar.bz2 25060911 BLAKE2B 35ecfee4c64e13539827c65a61e0cd359de4046f77553629cdf63479327c6ad86afd1443caa7a911a6271f496f0f3caf1b919ce91de717d0a71d008927b7f77b SHA512 563a9cf63e818b95aeb14c25b55bb5fb0bf8283f0b9f2bdd9a8833989beb651681f53f52368fb9db2c75fb60be0456eec87d48b557740b57847c4104003cb288

diff --git a/dev-python/pypy3-exe/pypy3-exe-7.3.3_rc1.ebuild b/dev-python/pypy3-exe/pypy3-exe-7.3.3_rc1.ebuild
new file mode 100644
index 00000000000..8a08b429432
--- /dev/null
+++ b/dev-python/pypy3-exe/pypy3-exe-7.3.3_rc1.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# pypy3 needs to be built using python 2
+PYTHON_COMPAT=( python2_7 )
+inherit check-reqs pax-utils python-any-r1 toolchain-funcs
+
+MY_P=pypy3.6-v${PV/_/}
+DESCRIPTION="PyPy3 executable (build from source)"
+HOMEPAGE="https://pypy.org/"
+SRC_URI="https://buildbot.pypy.org/pypy/${MY_P}-src.tar.bz2"
+S="${WORKDIR}/${MY_P}-src"
+
+LICENSE="MIT"
+SLOT="${PV}"
+KEYWORDS=""
+IUSE="bzip2 +jit low-memory ncurses cpu_flags_x86_sse2"
+
+RDEPEND=">=sys-libs/zlib-1.1.3:0=
+	dev-libs/libffi:0=
+	virtual/libintl:0=
+	dev-libs/expat:0=
+	bzip2? ( app-arch/bzip2:0= )
+	ncurses? ( sys-libs/ncurses:0= )
+	!dev-python/pypy3-exe-bin:${PV}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	low-memory? ( dev-python/pypy )
+	!low-memory? (
+		|| (
+			dev-python/pypy
+			dev-lang/python:2.7
+		)
+	)"
+
+check_env() {
+	if use low-memory; then
+		CHECKREQS_MEMORY="1750M"
+		use amd64 && CHECKREQS_MEMORY="3500M"
+	else
+		CHECKREQS_MEMORY="3G"
+		use amd64 && CHECKREQS_MEMORY="6G"
+	fi
+
+	check-reqs_pkg_pretend
+}
+
+pkg_pretend() {
+	[[ ${MERGE_TYPE} != binary ]] && check_env
+}
+
+pkg_setup() {
+	if [[ ${MERGE_TYPE} != binary ]]; then
+		check_env
+
+		# unset to allow forcing pypy below :)
+		use low-memory && EPYTHON=
+		if [[ ! ${EPYTHON} || ${EPYTHON} == pypy ]] &&
+				{ has_version -b dev-python/pypy ||
+				has_version -b dev-python/pypy-bin; }
+		then
+			einfo "Using PyPy to perform the translation."
+			EPYTHON=pypy
+		else
+			einfo "Using ${EPYTHON:-python2} to perform the translation. Please note that upstream"
+			einfo "recommends using PyPy for that. If you wish to do so, please install"
+			einfo "dev-python/pypy and ensure that EPYTHON variable is unset."
+			python-any-r1_pkg_setup
+		fi
+	fi
+}
+
+src_configure() {
+	tc-export CC
+
+	local jit_backend
+	if use jit; then
+		jit_backend='--jit-backend='
+
+		# We only need the explicit sse2 switch for x86.
+		# On other arches we can rely on autodetection which uses
+		# compiler macros. Plus, --jit-backend= doesn't accept all
+		# the modern values...
+
+		if use x86; then
+			if use cpu_flags_x86_sse2; then
+				jit_backend+=x86
+			else
+				jit_backend+=x86-without-sse2
+			fi
+		else
+			jit_backend+=auto
+		fi
+	fi
+
+	local args=(
+		--no-shared
+		$(usex jit -Ojit -O2)
+
+		${jit_backend}
+
+		pypy/goal/targetpypystandalone
+	)
+
+	# Avoid linking against libraries disabled by use flags
+	local opts=(
+		bzip2:bz2
+		ncurses:_minimal_curses
+	)
+
+	local opt
+	for opt in "${opts[@]}"; do
+		local flag=${opt%:*}
+		local mod=${opt#*:}
+
+		args+=(
+			$(usex ${flag} --withmod --withoutmod)-${mod}
+		)
+	done
+
+	local interp=( "${EPYTHON}" )
+	if use low-memory; then
+		interp=( env PYPY_GC_MAX_DELTA=200MB
+			"${EPYTHON}" --jit loop_longevity=300 )
+	fi
+
+	if [[ ${EPYTHON} != pypy ]]; then
+		# reuse bundled pycparser to avoid external dep
+		mkdir -p "${T}"/pymod/cffi || die
+		: > "${T}"/pymod/cffi/__init__.py || die
+		cp -r lib_pypy/cffi/_pycparser "${T}"/pymod/cffi/ || die
+		local -x PYTHONPATH=${T}/pymod:${PYTHONPATH}
+	fi
+
+	# translate into the C sources
+	# we're going to build them ourselves since otherwise pypy does not
+	# free up the unneeded memory before spawning the compiler
+	set -- "${interp[@]}" rpython/bin/rpython --batch --source "${args[@]}"
+	echo -e "\033[1m${@}\033[0m"
+	"${@}" || die "translation failed"
+}
+
+src_compile() {
+	emake -C "${T}"/usession*-0/testing_1
+}
+
+src_install() {
+	local dest=/usr/lib/pypy3.6
+	exeinto "${dest}"
+	newexe "${T}"/usession*-0/testing_1/pypy3-c pypy3-c-${PV}
+	insinto "${dest}"/include/${PV}
+	doins include/pypy_*
+	pax-mark m "${ED}${dest}/pypy3-c-${PV}"
+}


             reply	other threads:[~2020-11-13  9:02 UTC|newest]

Thread overview: 92+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-13  9:02 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-18 16:46 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3-exe/ Jakov Smolić
2023-06-19  5:14 Michał Górny
2023-05-14 19:29 Michał Górny
2023-01-31 13:16 Michał Górny
2023-01-31 13:06 Arthur Zamarin
2023-01-31 13:06 Arthur Zamarin
2022-12-30 14:32 Michał Górny
2022-12-07 15:59 Michał Górny
2022-12-07 15:42 Sam James
2022-12-07 15:42 Sam James
2022-12-07 13:04 Michał Górny
2022-11-24 20:16 Michał Górny
2022-11-24 16:47 Michał Górny
2022-09-04 19:36 Michał Górny
2022-08-28 19:20 Michał Górny
2022-08-12 10:36 Michał Górny
2022-08-12 10:19 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-07-24 18:18 Michał Górny
2022-05-04 17:56 Michał Górny
2022-05-04 15:11 Jakov Smolić
2022-05-01 21:51 Jakov Smolić
2022-04-01 15:39 Michał Górny
2022-04-01 15:17 Jakov Smolić
2022-04-01  6:57 Agostino Sarubbo
2022-03-31 11:49 Michał Górny
2022-03-30 15:13 Michał Górny
2022-02-22 11:54 Michał Górny
2022-02-20 14:19 Michał Górny
2022-02-20 14:19 Michał Górny
2022-02-20 12:28 Michał Górny
2022-02-11 12:16 Michał Górny
2022-02-02 21:16 Michał Górny
2022-01-31 20:27 Michał Górny
2022-01-27 15:17 Michał Górny
2021-11-09 10:33 Michał Górny
2021-11-09  9:35 Agostino Sarubbo
2021-11-09  9:34 Agostino Sarubbo
2021-10-25 20:16 Michał Górny
2021-10-25 20:16 Michał Górny
2021-10-17 21:15 Michał Górny
2021-10-12 15:17 Michał Górny
2021-10-08  8:44 Michał Górny
2021-09-14 16:22 Michał Górny
2021-09-03  6:57 Michał Górny
2021-09-03  6:40 Agostino Sarubbo
2021-09-03  6:34 Agostino Sarubbo
2021-08-29 22:22 Michał Górny
2021-07-30 18:14 Michał Górny
2021-05-19 20:21 Michał Górny
2021-05-19 20:09 Agostino Sarubbo
2021-05-19 20:06 Agostino Sarubbo
2021-05-19 18:21 Michał Górny
2021-05-14 22:00 Michał Górny
2021-05-11 10:03 Agostino Sarubbo
2021-05-01 18:19 Agostino Sarubbo
2021-04-09 11:46 Michał Górny
2021-03-11  8:48 Michał Górny
2021-03-05 21:06 Michał Górny
2021-03-05 20:49 Agostino Sarubbo
2021-03-05 20:48 Agostino Sarubbo
2021-03-04 14:56 Michał Górny
2021-03-04 14:56 Michał Górny
2021-01-09  2:30 Sam James
2020-12-31 23:08 Sam James
2020-11-22 11:51 Michał Górny
2020-11-22 11:51 Michał Górny
2020-11-13 12:39 Michał Górny
2020-09-30  2:31 Sam James
2020-09-30  2:25 Sam James
2020-09-28  9:08 Michał Górny
2020-09-25 12:13 Michał Górny
2020-09-25 12:13 Michał Górny
2020-09-25 12:13 Michał Górny
2020-09-16 22:30 Michał Górny
2020-09-16 22:30 Michał Górny
2020-09-16 22:30 Michał Górny
2020-09-11 21:05 Michał Górny
2020-09-11  9:31 Michał Górny
2020-08-30 20:31 Thomas Deutschmann
2020-08-27  5:44 Michał Górny
2020-04-11  7:49 Michał Górny
2020-04-11  7:49 Michał Górny
2020-02-08 13:37 Mikle Kolyada
2020-01-27 15:44 Thomas Deutschmann
2020-01-19  4:34 Michał Górny
2020-01-01 16:04 Michał Górny
2020-01-01 16:04 Michał Górny
2020-01-01  9:23 Georgy Yakovlev
2019-12-30 12:59 Michał Górny
2019-12-25 18:38 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1605258133.8e6f24c1b68b5c649a1895c966b29f154d6f5c13.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox